DisMaxParams (Solr 3.6.2 API)
Keywords: org.apache.solr.util.DisMaxParams class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.util
Class DisMaxParams

    java.lang.Object
      org.apache.solr.util.CommonParams
          org.apache.solr.util.DisMaxParams

All Implemented Interfaces:
  CommonParams, DisMaxParams

Deprecated. Use `DisMaxParams` instead.

    @Deprecated
    public class DisMaxParams

extends CommonParams
implements DisMaxParams

This class is scheduled for deletion. Please update your code to the moved package.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.solr.common.params.CommonParams
`CommonParams.EchoParamStyle`

Field Summary
`String` | `bf` Deprecated. - use explicit default with SolrParams.get
`String` | `bq` Deprecated. - use explicit default with SolrParams.get
`String` | `fq` Deprecated. - use explicit default with SolrParams.get
`static String` | `FQ` Deprecated. use SolrParams.FQ or SolrPluginUtils.parseFilterQueries
`static org.slf4j.Logger` | `log` Deprecated.
`String` | `mm` Deprecated. - use explicit default with SolrParams.get
`String` | `pf` Deprecated. - use explicit default with SolrParams.get
`int` | `pslop` Deprecated. - use explicit default with SolrParams.getInt
`String` | `qf` Deprecated. - use explicit default with SolrParams.get
`float` | `tiebreaker` Deprecated. - use explicit default with SolrParams.getFloat

Fields inherited from class org.apache.solr.util.CommonParams
`debugQuery, df, explainOther, fl, highlight, highlightFields, highlightFormatterClass, maxSnippets`

Fields inherited from interface org.apache.solr.common.params.DisMaxParams
`ALTQ, BF, BQ, GEN, MM, PF, PS, QF, QS, TIE`

Fields inherited from interface org.apache.solr.common.params.CommonParams
`CACHE, COST, DEBUG_QUERY, DF, EXCLUDE, EXPLAIN_OTHER, EXPLAIN_STRUCT, FALSE, FIELD, FL, HEADER_ECHO_HANDLER, HEADER_ECHO_PARAMS, OMIT_HEADER, OUTPUT_KEY, Q, QT, ROWS, SORT, START, STREAM_BODY, STREAM_CONTENTTYPE, STREAM_FILE, STREAM_URL, TAG, TERMS, TIME_ALLOWED, TRUE, VALUE, VERSION, WT, XSL`

Constructor Summary
`DisMaxParams()` Deprecated.

Method Summary
`void` | `setValues(NamedList args)` Deprecated. use SolrParams.toSolrParams

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.slf4j.Logger log

  Deprecated.

### FQ

    @Deprecated
    public static String FQ

  Deprecated. use SolrParams.FQ or SolrPluginUtils.parseFilterQueries
  query and init param for filtering query

### tiebreaker

    @Deprecated
    public float tiebreaker

  Deprecated. - use explicit default with SolrParams.getFloat
  the default tie breaker to use in DisjunctionMaxQueries

### qf

    @Deprecated
    public String qf

  Deprecated. - use explicit default with SolrParams.get
  the default query fields to be used

### pf

    @Deprecated
    public String pf

  Deprecated. - use explicit default with SolrParams.get
  the default phrase boosting fields to be used

### mm

    @Deprecated
    public String mm

  Deprecated. - use explicit default with SolrParams.get
  the default min should match to be used

### pslop

    @Deprecated
    public int pslop

  Deprecated. - use explicit default with SolrParams.getInt
  the default phrase slop to be used

### bq

    @Deprecated
    public String bq

  Deprecated. - use explicit default with SolrParams.get
  the default boosting query to be used

### bf

    @Deprecated
    public String bf

  Deprecated. - use explicit default with SolrParams.get
  the default boosting functions to be used

### fq

    @Deprecated
    public String fq

  Deprecated. - use explicit default with SolrParams.get
  the default filtering query to be used

Constructor Detail

### DisMaxParams

    public DisMaxParams()

  Deprecated.

Method Detail

### setValues

    @Deprecated
    public void setValues(NamedList args)

  Deprecated. use SolrParams.toSolrParams

  Sets the params using values from a NamedList, usefull in the init method for your handler.

  If any param is not of the expected type, a severe error is logged,and the param is skipped.

  If any param is not of in the NamedList, it is skipped and the old value is left alone.

  Overrides:
    `setValues` in class `CommonParams`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD